import { IDevice } from '../../../../core/interfaces';
export declare class Devices {
    constructor();
    request: (path: string, method: 'GET' | 'POST' | 'PUT' | 'DELETE' | 'HEAD' | 'OPTIONS' | 'TRACE' | 'CONNECT', data?: any) => Promise<any>;
    controlDeviceData: (device: IDevice, data: any) => Promise<void>;
    getDeviceList: () => Promise<{
        count: number;
        deviceList: {
            deviceId: any;
            deviceName: string;
            productId: any;
            iconUrl: any;
            online: boolean;
            aliasName: any;
            name: any;
        }[];
    }>;
    getDeviceData: ({ DeviceId }: any) => Promise<any>;
    bindDevice: ({ productId, deviceId }: any) => Promise<any>;
    unbindDevice: ({ productId, deviceId }: any) => Promise<any>;
    changeDeviceName: ({ productId, deviceId, aliasName }: any) => Promise<any>;
}
