"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Products = void 0;
const tslib_1 = require("tslib");
const untils_1 = require("../untils");
const Constants = (0, tslib_1.__importStar)(require("./constants"));
class Products {
    constructor() {
        this.request = (path, method, data) => (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            return (0, untils_1.requestApi)({ path, method, data });
        });
        this.getProduct = ({ ProductId }) => (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            return yield this.request(`/products/${ProductId}`, Constants.HTTP_METHOD_GET);
        });
    }
}
exports.Products = Products;
//# sourceMappingURL=products.js.map