"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveFirstBlock = exports.startBlocking = void 0;
/**
 * 请求调度管理，处理请求阻塞，主动取消等逻辑
 */
const blockingList = [];
const startBlocking = () => {
    let o;
    const t = new Promise((function (t) {
        o = t;
    }));
    return blockingList.push({ promise: t, resolve: o }), t;
};
exports.startBlocking = startBlocking;
const resolveFirstBlock = () => {
    blockingList.length && (blockingList[0].resolve(),
        blockingList.shift());
};
exports.resolveFirstBlock = resolveFirstBlock;
//# sourceMappingURL=requestManager.js.map