interface RequestParams {
    path: string;
    method: 'GET' | 'POST' | 'PUT' | 'DELETE' | 'HEAD' | 'OPTIONS' | 'TRACE' | 'CONNECT';
    data: any;
    dataType?: string;
    responseType?: 'text' | 'arraybuffer';
}
export declare const requestApi: ({ path, method, data, dataType, responseType, ...params }: RequestParams) => Promise<any>;
export {};
