"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestApi = void 0;
const tslib_1 = require("tslib");
const constants_1 = require("../cloudApi/constants");
const request_1 = require("./request");
const storage_1 = require("./storage");
const constants = (0, tslib_1.__importStar)(require("../constants"));
const requestApi = (_a) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    var { path, method, data, dataType, responseType } = _a, params = (0, tslib_1.__rest)(_a, ["path", "method", "data", "dataType", "responseType"]);
    const access_token = (yield (0, storage_1.getItem)(constants.cacheKeys.TICOS_API_TOKEN)) || '';
    let header = {};
    if (access_token)
        header = Object.assign(Object.assign({}, header), {
            Authorization: `Bearer ${access_token}`
        });
    else
        header = Object.assign(Object.assign({}, header), { "X-Server-Access": "/fcLYOgUg74AdpuX+TnabtcFipLSiTSDqWdMe1IUe7g=" });
    // const { url, data, header, method, dataType, responseType, ...params } = e;
    return (0, request_1.request)({
        header,
        method,
        url: `${constants_1.TICOS_API}/${path}`,
        data,
        dataType: dataType || 'json',
        responseType: responseType || 'text'
    });
});
exports.requestApi = requestApi;
//# sourceMappingURL=requestApi.js.map