/// <reference types="node" />
import { MqttBase } from "./utils/mqttBase";
import EventEmitter from 'event-emitter-for-miniprogram';
export declare class TisvcMqtt extends EventEmitter {
    mqtt: MqttBase;
    constructor();
    subscribe(deviceIdList: string[]): void;
    send(topic: string, message: string | Buffer): void;
    disconnect(): void;
    onMessage(): void;
}
