import { Action as Tisvc } from '../../libs/apiProvider/tisvc';
import { IDevice } from '../interfaces';
export declare class CloudApi {
    tisvc: Tisvc;
    constructor();
    getDeviceList(): Promise<{
        count: number;
        deviceList: {
            deviceId: any;
            deviceName: string;
            productId: any;
            iconUrl: any;
            online: boolean;
            aliasName: any;
            name: any;
        }[];
    }>;
    getDeviceData: ({ deviceId }: {
        deviceId: string;
    }) => Promise<any>;
    controlDeviceData(device: IDevice, data: object): Promise<void>;
    getProduct: ({ productId }: {
        productId: string;
    }) => Promise<any>;
    changeDeviceName: ({ productId, deviceId, aliasName, }: any) => Promise<any>;
    bindDevice: ({ productId, deviceId }: {
        productId: string;
        deviceId: string;
    }) => Promise<any>;
    unbindDevice: ({ productId, deviceId }: {
        productId: string;
        deviceId: string;
    }) => Promise<any>;
}
