import { IDevice } from "../../../../core/interfaces";
import { Devices } from "./devices";
import { Products } from "./products";
export declare class Action {
    devices: Devices;
    products: Products;
    constructor();
    controlDeviceData: (device: IDevice, data: any) => Promise<void>;
    getDeviceList: () => Promise<{
        count: number;
        deviceList: {
            deviceId: any;
            deviceName: string;
            productId: any;
            iconUrl: any;
            online: boolean;
            aliasName: any;
            name: any;
        }[];
    }>;
    getDeviceData: ({ DeviceId }: any) => Promise<any>;
    getProduct: ({ ProductId }: any) => Promise<any>;
    bindDevice: ({ productId, deviceId }: any) => Promise<any>;
    unbindDevice: ({ productId, deviceId }: any) => Promise<any>;
    changeDeviceName: ({ productId, deviceId, aliasName }: any) => Promise<any>;
}
