"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iotEventType = exports.cacheKeys = exports.ErrorCode = void 0;
var ErrorCode;
(function (ErrorCode) {
    ErrorCode["WX_API_NEED_AUTH"] = "WX_API_NEED_AUTH";
    ErrorCode["GET_USERINFO_NEED_AUTH"] = "GET_USERINFO_NEED_AUTH";
    ErrorCode["WX_API_FAIL"] = "WX_API_FAIL";
    ErrorCode["VERIFY_LOGIN_FAIL"] = "VERIFY_LOGIN_FAIL";
    ErrorCode["INTERNAL_ERROR"] = "INTERNAL_ERROR";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
var cacheKeys;
(function (cacheKeys) {
    cacheKeys["TICOS_API_TOKEN"] = "TICOS_API_TOKEN";
})(cacheKeys = exports.cacheKeys || (exports.cacheKeys = {}));
var iotEventType;
(function (iotEventType) {
    iotEventType["TICOS_IOT_EVENT_PROPERTY"] = "tsPropertyEvent";
    iotEventType["TICOS_IOT_EVENT_TELEMETRY"] = "tsTelemetryEvent";
    iotEventType["TICOS_IOT_STATUS_CHANGE"] = "tsDeviceStatusEvent";
})(iotEventType = exports.iotEventType || (exports.iotEventType = {}));
//# sourceMappingURL=constants.js.map