"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeItem = exports.setItem = exports.getItem = void 0;
const tslib_1 = require("tslib");
// import * as tslib_1 from 'tslib'
// import * as pify_1 from './pify'
const env_detect_1 = (0, tslib_1.__importStar)(require("./env"));
const getItem = (key) => {
    try {
    }
    catch (err) {
    }
    if (env_detect_1.isMiniProgram())
        return wx.getStorageSync(key);
    if (env_detect_1.isBrowser())
        return localStorage.getItem(key);
    // return tslib_1.__awaiter(this,void 0,() => void 0,(() => {
    //   var t;return tslib_1.__generator(this,(function(r){
    //     switch(r.label){
    //       case 0:return r.trys.push([0,4,,5]),
    //       env_detect_1.isMiniProgram()?[4,pify_1.pify(wx.getStorage)({key})]:[3,2];
    //       case 1:return[2,t=r.sent().data];
    //       case 2:if(env_detect_1.isBrowser()){if(t=window.localStorage.getItem(key))try{t=JSON.parse(t)}catch(e){}return[2,t]}r.label=3;
    //       case 3:return[3,5];
    //       case 4:return r.sent(),[2,null];
    //       case 5:return[2]}}))}))
};
exports.getItem = getItem;
const setItem = (key, data) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    if (env_detect_1.isMiniProgram())
        wx.setStorageSync(key, data);
    if (env_detect_1.isBrowser())
        localStorage.setItem(key, data);
    // return tslib_1.__awaiter(this,void 0, () => void 0,(() => {
    //   var r;return tslib_1.__generator(this,(function(s){
    //     console.log('***********set', s)
    //     switch(s.label){
    //     case 0:return s.trys.push([0,4,,5]),env_detect_1.isMiniProgram()?[4,pify_1.pify(wx.setStorage)({key,data})]:[3,2];
    //     case 1:return s.sent(),[3,3];
    //     case 2:if(env_detect_1.isBrowser()){if(data)try{data=JSON.stringify(data)}catch(e){}window.localStorage.setItem(key,data)}s.label=3;
    //     case 3:return[3,5];
    //     case 4:return r=s.sent(),console.error("setStorage error",r),[3,5];
    //     case 5:return[2]}}))}))
});
exports.setItem = setItem;
const removeItem = (key) => {
    if (env_detect_1.isMiniProgram())
        wx.removeStorage(key);
    if (env_detect_1.isBrowser())
        localStorage.removeItem(key);
    // return tslib_1.__awaiter(this,void 0, () => void 0,(
    //   () => {var t;return tslib_1.__generator(this,(function(r){
    //     switch(r.label){
    //       case 0:return r.trys.push([0,4,,5]),env_detect_1.isMiniProgram()?[4,pify_1.pify(wx.removeStorage)({key})]:[3,2];
    //       case 1:return r.sent(),[3,3];
    //       case 2:env_detect_1.isBrowser() && window.localStorage.removeItem(key),r.label=3;
    //       case 3:return[3,5];
    //       case 4:return t=r.sent(),console.error("removeStorage error",t),[3,5];
    //       case 5:return[2]}}
    //       ))}))
};
exports.removeItem = removeItem;
//# sourceMappingURL=storage.js.map